For the complete documentation index, see llms.txt. This page is also available as Markdown.

List WordPress themes

List WordPress themes available to install. Use the returned slug values with POST /api/hosting/v1/accounts/{username}/wordpress/{software}/themes/install.

List WordPress themes

get

List WordPress themes available to install.

Use the returned slug values with POST /api/hosting/v1/accounts/{username}/wordpress/{software}/themes/install.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
order_idinteger · nullableOptional

Optionally scope themes to a specific order.

Example: 123456
searchstring · nullableOptional

Search term to match against theme names.

Example: blog
Responses
200

Success response

application/json
slugstringOptional

Theme slug used when installing the theme

Example: twentytwentyone
titlestringOptional

Human readable theme name

Example: Twenty Twenty-One
urlstringOptional

Link to the theme page on WordPress.org

Example: https://wordpress.org/themes/twentytwentyone/
featured_image_urlstring · nullableOptional

URL of the theme preview thumbnail

Example: https://ts.w.org/wp-content/themes/twentytwentyone/screenshot.png
full_image_urlstring · nullableOptional

URL of the full-size theme preview image

Example: https://ts.w.org/wp-content/themes/twentytwentyone/screenshot.png
descriptionstring · nullableOptional

Short theme description

Example: A blank canvas for your ideas.
logo_urlstring · nullableOptional

URL of the theme logo

Example: https://ts.w.org/wp-content/themes/twentytwentyone/logo.png
is_plan_upgrade_neededbooleanOptional

Whether a hosting plan upgrade is required to use the theme

Example: false
get/api/hosting/v1/wordpress/themes
GET /api/hosting/v1/wordpress/themes HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "slug": "twentytwentyone",
    "title": "Twenty Twenty-One",
    "url": "https://wordpress.org/themes/twentytwentyone/",
    "featured_image_url": "https://ts.w.org/wp-content/themes/twentytwentyone/screenshot.png",
    "full_image_url": "https://ts.w.org/wp-content/themes/twentytwentyone/screenshot.png",
    "description": "A blank canvas for your ideas.",
    "logo_url": "https://ts.w.org/wp-content/themes/twentytwentyone/logo.png",
    "is_plan_upgrade_needed": false
  }
]

Last updated

Was this helpful?